#ifndef NORMALIZED_DIRECTION_H
#define NORMALIZED_DIRECTION_H

#include "Vector2D.h"
#include <SDL3/SDL.h>

class NormalizedDirection
{
public:
    NormalizedDirection() : m_Direction(Vector2D()){};
    NormalizedDirection(float x, float y, bool isNormalized);
    NormalizedDirection(SDL_FPoint direction, bool isNormalized);
    NormalizedDirection(Vector2D direction, bool isNormalized);

    float GetX() const {return m_Direction.x;}
    float GetY() const {return m_Direction.y;}
    Vector2D GetDirection() const {return m_Direction;};
private:
    Vector2D m_Direction;
};

#endif